version: '3.7'
services:

  # usage:
  #   - use PKGBUILD found in /pkg
  #     sudo docker-compose run --rm makepkg
  #     sudo docker-compose run --rm makepkg interactive
  #   - use PKGBUILD found in /pkg/<RelativePath>
  #     sudo docker-compose run --rm makepkg <RelativePath>
  #     sudo docker-compose run --rm makepkg interactive <RelativePath>
  makepkg:
    build: .

    command: ["de-p1st-font"]

    volumes:
      - ../pkg:/pkg:ro
      - ./out:/out

    # interactive
    stdin_open: true # docker run -i
    tty: true        # docker run -t
